import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsSwitchPartitionStcLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2022-09-01 18:16
 */
interface DevopsSwitchPartitionStcLogCU extends ConditionUtil<DevopsSwitchPartitionStcLogCU> {
    ID: FieldUtil<DevopsSwitchPartitionStcLogCU>;
    PARTITION_CODE: FieldUtil<DevopsSwitchPartitionStcLogCU>;
    LOG_ID: FieldUtil<DevopsSwitchPartitionStcLogCU>;
    CREATE_TIME: FieldUtil<DevopsSwitchPartitionStcLogCU>;
}
declare class DevopsSwitchPartitionStcLogMU extends TableUtilImpl<DevopsSwitchPartitionStcLogCU, DevopsSwitchPartitionStcLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsSwitchPartitionStcLogCU;
    static get ID(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    static get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    static get LOG_ID(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    static get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    static get USER_ID(): FieldInfo;
    static get OPERATION_CONTENT(): FieldInfo;
    static get USER_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    get LOG_ID(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcLogCU>;
    get USER_ID(): FieldInfo;
    get OPERATION_CONTENT(): FieldInfo;
    get USER_NAME(): FieldInfo;
}
export { DevopsSwitchPartitionStcLogMU, DevopsSwitchPartitionStcLogCU };
